import java.io.IOException;
//import javax.servlet.*;
import java.rmi.*;

public class ExceptionTest6 {
    public ExceptionTest6(){
        new Exception().printStackTrace();
        try{
            test();
        }catch(Exception ex){
            ex.printStackTrace();
            Throwable th = ex.getCause();
            th.printStackTrace();
            
            StackTraceElement[] el = th.getStackTrace();
            System.out.println(el[0].getClassName());
            System.out.println(el[0].getFileName());
            System.out.println(el[0].getLineNumber());
            System.out.println(el[0].getMethodName());
            System.out.println(el[0].hashCode());
            System.out.println(el[0].isNativeMethod());
            System.out.println(el[0].toString());
        }
    }

    private void test() throws Exception {
        try{
            throw new InterruptedException();
        }catch(InterruptedException e){
            System.out.println(e);
            IOException exception = new IOException();
            exception.initCause(e);
            throw exception;
            
//            throw new ServletException(e);
//            throw new RemoteException("SSS", e);
        }
    }
    
    public static void main(String[] args){
        new ExceptionTest6();
    }
}

